Subject: Re: bug#69171: Moving packages out of core to ELPA

From: Stefan Monnier <[email-masked]>
Date: Sat, 17 Feb 2024 17:42:50 -0500

>> I'd advocate moving IDLWAVE to ELPA, for the following reasons:
> Sounds good, I'll add it GNU ELPA.

Hmm... I didn't realize the code really forked a long time ago.
I'm not really comfortable replacing Emacs's code with Github's, since
the one on Github lacks many changes.

The last "sync" that I see mentioned dates back to Feb 2014 but already
then the two code bases where quite different.

I think we'd need to make an effort to re-sync the two (more
specifically merge all the Emacs changes into the Github repository,
I don't think the other direction is worth the trouble).

I'm not even sure the Feb 2014 sync means that all previous changes in
Emacs had been reflected into the Github version.

E.g. I took the following commit from Github:

    commit 883208713a36a4deae90df7c4c6fd76e296228ff (HEAD)
    Author: JD Smith <[email-masked]>
    Date:   Sun May 12 22:53:02 2013 -0400
    
        Doc/comments fixups.

which is the last commit before the "Major re-organization and cleanup"
and then did:

    for h in $(cd ...emacs/main;
               git log --pretty=oneline lisp/progmodes/idlwave.el |
                   sed 's/ .*//');
    do (cd ...emacs/tmp/; git checkout "$h" >/dev/null 2>&1)
       echo "$h: $(diff -u ...emacs/tmp/lisp/progmodes/ . |
                       grep -v '^Seulement dans' | wc)"
    done

and this suggests that the closest commit on `emacs.git` might be:

    commit 627e0a14e8718945668b246f18053df0f82ed383
    Author: Glenn Morris <[email-masked]>
    Date:   Thu Dec 3 17:14:33 2009 +0000
    
        (class): Restore still useful declaration.
        Restore comment that is still relevant.

but the diff is still ~250kB (tho most of it is trivial removal
of trailing whitespace).

        Stefan